Skip to main content
POST
Create withdrawals

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Headers

Idempotency-Key
string
required

Client-supplied key that deduplicates retried requests. Reusing a key returns the original result instead of repeating the action.

Api-Signature
string
required

A hex-encoded Ed25519 signature of timestamp_epoch_seconds + uppercase(http_method) + request_path + request_body.

Pattern: ^[0-9A-Fa-f]{128,160}$
Api-Timestamp
integer<int64>
required

Current timestamp, represented as unix epoch seconds

Path Parameters

accountId
string<uuid>
required

Unique identifier for the account

Example:

"3486b413-93d3-4447-afce-2b9c9dc34a32"

Body

application/json

Withdrawals to create

quantity
string
required

Withdrawal quantity, as a positive decimal number encoded as a string.

Pattern: ^\d+(\.\d+)?$
assetType
string
required

A string representing a type of asset, which usually corresponds to the asset's ticker symbol. Use /asset-types to list all of the supported asset types for your organization.

info
Destination Data · object
required

Destination for the withdrawal.

Response

Withdrawal creation accepted

Per-item results for a batch action.

data
(Batch Item Success Result · object | Batch Item Error Result · object)[]
required

Successful outcome for one item of a batch request.